# `Versioning`

The Versioning class is accessible via the `sqlobject.versioning` module.

## Methods

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__init__(self, extraCols=None)` ...

#### f `__addtoclass__(self, soClass, name)` ...

#### f `createVersionTable(self, cls, conn)` ...

#### f `createTable(self, soClass, connection, extra_sql, post_funcs)` ...

#### f `rowUpdate(self, instance, kwargs)` ...

#### f `__get__(self, obj, type=None)` ...

See the source for more information.